Skip to main content
GET
/
v1
/
whatsapp
/
templates
List Templates
curl --request GET \
  --url https://karibu.briq.tz/v1/whatsapp/templates \
  --header 'X-API-Key: <api-key>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "is_deleted": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "language": "en_US",
      "params": [
        "<string>"
      ],
      "details": {},
      "quality_score": "GREEN",
      "whatsapp_sender_number_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "approved_at": "2023-11-07T05:31:56Z",
      "last_sent_at": "2023-11-07T05:31:56Z",
      "rejection_reason_code": "<string>",
      "rejection_reason_text": "<string>"
    }
  ],
  "cursor_next": "<string>",
  "total_count": 123
}

Authorizations

X-API-Key
string
header
required

Headers

X-API-Key
string
required
X-App-ID
string | null

Query Parameters

sender_id
string<uuid> | null
status
string[] | null

Filter by admin status. Repeat to OR multiple values.

category
string[] | null

AUTH/AUTHENTICATION, UTILITY, MARKETING. Repeatable.

language
string[] | null

Language code, e.g. en_US. Repeatable.

name_or_content
string | null
Maximum string length: 200
cursor
string | null

Opaque pagination cursor; pass back cursor_next from the previous page.

limit
integer
default:50
Required range: 1 <= x <= 200
sort
enum<string>
default:updated_desc
Available options:
updated_desc,
updated_asc,
created_desc,
name_asc,
name_desc

Response

Successful Response

items
WaTemplate · object[]
required
cursor_next
string | null

Cursor for the next page. null when there are no more results.

total_count
integer | null